org.firebirdsql.gds.ng.wire.crypt

## Class EncryptionIdentifier

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.EncryptionIdentifier

    public final class EncryptionIdentifier
    extends java.lang.Object

Identifier of an encryption type + plugin.

Since:
  4.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `TYPE_SYMMETRIC`

### Constructor Summary

Constructors
Constructor and Description
`EncryptionIdentifier(java.lang.String type, java.lang.String pluginName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getPluginName()` Name of the plugin (or cipher).
`java.lang.String` `getType()` Type of encryption.
`int` `hashCode()`
`boolean` `isTypeSymmetric()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_SYMMETRIC

    public static final java.lang.String TYPE_SYMMETRIC

See Also:
  Constant Field Values

### Constructor Detail

#### EncryptionIdentifier

    public EncryptionIdentifier(java.lang.String type,
                                java.lang.String pluginName)

### Method Detail

#### getType

    public java.lang.String getType()

Type of encryption.

For example: `"Symmetric"`.

Returns:
  Encryption type

#### getPluginName

    public java.lang.String getPluginName()

Name of the plugin (or cipher).

For example: `"Arc4"`.

Returns:
  Name of the plugin

#### isTypeSymmetric

    public boolean isTypeSymmetric()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`